<%
' ******************************************************************************************
' COPYRIGHT NOTICE:
' Copyright 2006 Center for Technology in Government.
' The Center grants permission to use and modify this software code free of charge provided  
' this copyright notice is included. By using this code you agree to indemnify the Center from 
' any liability that might arise from its use. Selling the code is expressly forbidden.
' ******************************************************************************************

' ******************************************************************************************
' THIS INCLUDE FILE IS CALLED BY ALL THE ASP FILES IN THIS WEBSITE
' AND IT CONTROLS ALL THE WEBSERVER RETRIEVAL OF FOLDERS/FILES
' IT SUPPORTS A DIRECTORY STRUCTURE BASED ON THE MAIN NAVIGATION
' TABS OF THE WEBSITE; IT PROCESSES MUTLIPLE XML FILES WITH JUST A
' FEW XSL FILES GEARED TO LEVELS WITHIN THE WEBSITE; AND IT PASSES
' PARAMETERS FROM THE URL REQUEST QUERY STRING TO THE XSL FILES
' ******************************************************************************************

 Dim oXML, oXSL,strName,xml,xsl,template,processor,url,passname,fs

' ******************************************************************************************
' First, get the url string so you can manipulate it as a string 
' and direct the web server to the correct directory and file
' uses PATH_INFO instead of HTTP_URL because PATH_INFO
' trims off everything after a ? in the url
' Uses url variable to find path to the correct .xml file 
' Uses passname variable to pass name parameter to the XSL file 

Set fs=Server.CreateObject("Scripting.FileSystemObject") 
url=Request.ServerVariables("PATH_INFO")
passname=Request.ServerVariables("PATH_INFO")

url=fs.GetBaseName(url)
passname=fs.GetBaseName(passname)

' ******************************************************************************************
' These initial IF conditions read the URL to see the xxxxx.asp reference
' If it is an Index.asp or index.asp, then it directs webserver to the 
' index file on the root directory; If it is not index.asp, then it 
' directs the webserver to the appropriate sub-directory folder and file
' in standard format: subdirectory/subdirectory

If url="Index" Then
    url="index"
ElseIf url="index" Then	
    url=url
Else
    url=url&"/"&url
End If

' ******************************************************************************************
' Defines 2 parameters to pass to XSL files
' If there is a sub parameter in the query string, 
' it retrieves the appropriate xml file from the appropriate subdirectory
' and processes it with the level2 xsl file and passes the sub parameter
' to the level2.xsl file
' If no sub parameters, it uses the level1.xsl file
' We also pass the script file extension ".asp" to XSL file so that 
' extensions are not hardcoded in the navigation links in the xml or xsl files. 

param1 = Request.QueryString("sub")
param2=passname

Set xml = Server.CreateObject("MSXML2.FreeThreadedDOMDocument.3.0")
xml.async = false
xml.load (Server.MapPath(url & ".xml"))
Set xsl = Server.CreateObject("MSXML2.FreeThreadedDOMDocument.3.0")
xsl.async = false

If param1<> "" then
	xsl.load (Server.MapPath("level2.xsl"))
Else
	xsl.load (Server.MapPath("level1.xsl"))
End If

Set template = Server.CreateObject("MSXML2.XSLTemplate")
template.stylesheet = xsl 
set processor = template.createProcessor()
processor.input = xml

processor.addParameter "extension", ".asp"
	   
If param1<> "" then
	processor.addParameter "sub", param1 
End If 
	  
If param2<> "" then
	processor.addParameter "name", param2
End If 

processor.transform()
Response.write (processor.output)   
   
%>


